# LoopParameterBinding

## `LoopParameterBinding`

A LoopParameterBinding binds a guard parameter of an invoked Mapping to the value of a loop variable in the invoker. Execution of the mapping may use the value.

syntax: `formalName iterates expression;`

Deprecated – WIP for a consuming stream

conformsTo `MappingParameterBinding`

Attributes

`isCheck : Boolean[?]`

Whether the variable initialization needs to be checked as a predicate. This is a derivation of not ownedInit.type.conformsTo(self.type).

Associations

`value : ::LoopVariable[1]`

The value or collection of values to bind to boundVariable